Page 1 of 2

HOWTO: Upgrade 1.0 to 1.1

Posted: Fri Mar 11, 2016 4:18 am
by ikey
Ensure you have ample diskspace for several hundred updates (say, 300-400MB)

*Ensure* you are connected to the internet!! Also ensure all *existing* updates in 1.0 are
applied:

Ensure you have enough battery!! Stick the plug in first. You really don't want this to fail
half way through!

Code: Select all

sudo eopkg upgrade
A new package is installed, called "solus-upgrade"

Now run:

Code: Select all

sudo do-solus-upgrade.sh
You will be prompted when it is time to do the full update, make sure to type 'yes' and hit enter, as usual.
Do NOT interrupt the update process!! This is very delicate, so much so that there isn't even a UI for
this process, just raw bashisms.

And enjoy 1.1 !

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Fri Mar 11, 2016 5:21 am
by asonix
The script fails repeatedly attempting to install baselayout

[Errno 1] Operation not permitted

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Fri Mar 11, 2016 5:23 am
by asonix
asonix wrote:The script fails repeatedly attempting to install baselayout

[Errno 1] Operation not permitted
If I try to sudo eopkg it baselayout --reinstall it errors with: comar-api package is not fully installed

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Fri Mar 11, 2016 11:56 pm
by Nowasky
I've got this message at the end of the installation:
Found initrd image: /boot/initramfs-4.4.5.img
/run/lvm/lvmetad.socket: connect failed: No such file or directory
WARNING: Failed to connect to lvmetad. Falling back to internal scanning.
done
Should I be worried?

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Sat Mar 12, 2016 12:04 am
by Justin
asonix wrote:[Errno 1] Operation not permitted
Did you run with sudo as described?
Nowasky wrote:Should I be worried?
No. It's a normal message.

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Sat Mar 12, 2016 9:10 am
by ikey
asonix wrote:
asonix wrote:The script fails repeatedly attempting to install baselayout

[Errno 1] Operation not permitted
If I try to sudo eopkg it baselayout --reinstall it errors with: comar-api package is not fully installed
You've clearly done something differently here. For that --reinstall command you need --ignore-comar, but I have
a strong feeling you've interrupted the upgrade process and pickled that install

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Mon Mar 14, 2016 5:11 pm
by asonix
ikey wrote:
asonix wrote:
asonix wrote:The script fails repeatedly attempting to install baselayout

[Errno 1] Operation not permitted
If I try to sudo eopkg it baselayout --reinstall it errors with: comar-api package is not fully installed
You've clearly done something differently here. For that --reinstall command you need --ignore-comar, but I have
a strong feeling you've interrupted the upgrade process and pickled that install
The first thing I did was run the script. It installed about 30 of the >200 packages before erroring during the baselayout install with the permission denied thing

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Mon Mar 14, 2016 10:37 pm
by Justin
Try re-run the script.

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Mon Mar 28, 2016 8:50 am
by Tido_
Hi,

I was wondering why the update function no longer works on my install.
Searching for "updates" does not work, to many results.

Can you make this posting sticky for i.e. a month so that people who return from their vacation or like me who do not use it on a daily basis can still see it ?

Also a handy hint in the first posting would be, in case your partition is already filled, before starting the update bash-script:

Code: Select all

sudo eopkg delete-cache
Thank you for considering.

Cheers
Tido

PS: Ahh, I see. The separation of the Sticky is different to the Boards I am used to :oops:

Re: HOWTO: Upgrade 1.0 to 1.1

Posted: Wed Nov 16, 2016 6:32 am
by JamesPerez
Thank you for sharing.